/*
*  nymstuff.h
*
*  Copyright (C) 2012 Richard Christman
*
*  This file is part of QuickSilver Lite.
*
*  QuickSilver Lite is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by the
*  Free Software Foundation; either version 3 of the License, or (at your
*  option) any later version.
*
*  This program is distributed in the hope that it will be useful, but
*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
*  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
*  for more details.
*
*  You should have received a copy of the GNU General Public License along
*  with this program; if not, see <http://www.gnu.org/licenses>.
*
*  Additional permission under GNU GPL version 3 section 7
*
*  If you modify QuickSilver Lite, or any covered work, by linking or
*  combining it with CodeGear VCL (or a modified version of that library),
*  containing parts covered by the terms of CodeGear's license, the licensors
*  of QuickSilver Lite grant you additional permission to convey the
*  resulting work.
*
*/

//---------------------------------------------------------------------------
#ifndef nymstuffH
#define nymstuffH
//---------------------------------------------------------------------------
#include <forms.hpp>
#include "msgmans.h"
//---------------------------------------------------------------------------

bool __fastcall CheckFormatNymMessage(TForm *Owner, TMsgManager *orgmsg, TMsgManager *linmsg,
   bool &badtemplate);
void __fastcall ProcessNymMessage(TForm *Owner, TStrings *Message, TStrings *sig,
   const AnsiString &nymhdr);
// nymcfgprocess prepares a nymconfig msg from qsa by merging a template
bool __fastcall NymCfgProcess(TForm *Owner, TStrings *Msg, LPSTR Message);
//void __fastcall InsertNymserverVerification(TStrings *lines, TStrings *sig);
bool __fastcall GetNymKeyIDs(TForm *Owner, const AnsiString &nymadr, AnsiString &pgphdr,
   AnsiString &enckey, AnsiString &sigkey, AnsiString &nymkey, AnsiString &serkey);
bool __fastcall CheckNymKeyIDs(TForm *Owner, const AnsiString &nymhdr, const AnsiString &pgphdr);
AnsiString __fastcall GetNymKeyID8(const AnsiString &nymhdr);
AnsiString __fastcall GetKeyID8(const AnsiString &pubkeystr);


// this function resides in composewins.cpp because it has dependencies
// bool __fastcall CheckHandleNymMessage(TStrings *message);
//---------------------------------------------------------------------------
#endif
